Package org.a2aproject.sdk.spec
Record Class TaskIdParams
java.lang.Object
java.lang.Record
org.a2aproject.sdk.spec.TaskIdParams
- Record Components:
id- the unique task identifier (required)tenant- optional tenant, provided as a path parameter.
Parameters containing a task identifier for task-related operations.
This simple parameter record is used by operations that only need a task ID, and similar task-specific requests. It optionally includes metadata for additional context.
- See Also:
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionstatic classBuilder for constructing instances. -
Constructor Summary
ConstructorsConstructorDescriptionTaskIdParams(String id) Convenience constructor with default tenant.TaskIdParams(String id, @Nullable String tenant) Compact constructor for validation. -
Method Summary
Modifier and TypeMethodDescriptionstatic TaskIdParams.Builderbuilder()Create a new Builderfinal booleanIndicates whether some other object is "equal to" this one.final inthashCode()Returns a hash code value for this object.id()Returns the value of theidrecord component.@Nullable Stringtenant()Returns the value of thetenantrecord component.final StringtoString()Returns a string representation of this record class.
-
Constructor Details
-
TaskIdParams
Compact constructor for validation. Validates that required parameters are not null.- Parameters:
id- the task identifiertenant- the tenant identifier
-
TaskIdParams
Convenience constructor with default tenant.- Parameters:
id- the task identifier (required)
-
-
Method Details
-
builder
Create a new Builder- Returns:
- the builder
-
toString
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components. -
hashCode
public final int hashCode()Returns a hash code value for this object. The value is derived from the hash code of each of the record components. -
equals
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared withObjects::equals(Object,Object). -
id
Returns the value of theidrecord component.- Returns:
- the value of the
idrecord component
-
tenant
Returns the value of thetenantrecord component.- Returns:
- the value of the
tenantrecord component
-